## ephy-session

ephy-session —

## Synopsis

    EphyWindow* ephy_session_get_active_window  (EphySession *session);
    gboolean    ephy_session_save               (EphySession *session,
                                                 const char *filename);
    gboolean    ephy_session_load               (EphySession *session,
                                                 const char *filename,
                                                 guint32 user_time);
    void        ephy_session_close              (EphySession *session);
    GList*      ephy_session_get_windows        (EphySession *session);
    void        ephy_session_add_window         (EphySession *session,
                                                 GtkWindow *window);
    void        ephy_session_remove_window      (EphySession *session,
                                                 GtkWindow *window);

## Description

## Details

### ephy_session_get_active_window ()

    EphyWindow* ephy_session_get_active_window  (EphySession *session);

Get the current active browser window. Use it when you need to take an action (like opening an url) on a window but you dont have a target window.

`session` : | a EphySession
Returns : | the current active non-popup browser window, or NULL of there is none.

### ephy_session_save ()

    gboolean    ephy_session_save               (EphySession *session,
                                                 const char *filename);

`session` : |
`filename` : |
Returns : |

### ephy_session_load ()

    gboolean    ephy_session_load               (EphySession *session,
                                                 const char *filename,
                                                 guint32 user_time);

`session` : |
`filename` : |
`user_time` : |
Returns : |

### ephy_session_close ()

    void        ephy_session_close              (EphySession *session);

`session` : |

### ephy_session_get_windows ()

    GList*      ephy_session_get_windows        (EphySession *session);

`session` : |
Returns : | the list of open EphyWindow:s.

### ephy_session_add_window ()

    void        ephy_session_add_window         (EphySession *session,
                                                 GtkWindow *window);

Add a tool window to the session. EphyWindow take care of adding itself to session.

`session` : |
`window` : | a EphyWindow

### ephy_session_remove_window ()

    void        ephy_session_remove_window      (EphySession *session,
                                                 GtkWindow *window);

Remove a tool window from the session.

`session` : | a EphySession.
`window` : | a GtkWindow, which must be either the bookmarks editor or the history window.